Class | Archive::Tar::Minitar::Writer::BoundedStream
In: | lib/facets/more/minitar.rb
Parent: | Archive::Tar::Minitar::Writer::RestrictedStream

A RestrictedStream that also has a size limit.

### Methods

new write

### Classes and Modules

Class Archive::Tar::Minitar::Writer::BoundedStream::FileOverflow

### Attributes

limit | [R] | The maximum number of bytes that may be written to this data stream.
written | [R] | The current total number of bytes written to this data stream.

### Public Class methods

new(io, limit)

### Public Instance methods

write(data)

[Validate]